This example does not authorize immediately but schedules a future authorization.
| Environment | Method | Endpoint |
|---|---|---|
| Sandbox | post | https://apisandbox.braspag.com.br/v2/sales/ |
| Production | post | https://api.braspag.com.br/v2/sales/ |
To schedule the first transaction in the recurrence series, set thePayment.RecurrentPayment.AuthorizeNowparameter to "false" and add thePayment.RecurrentPayment.StartDateparameter.
Request
post https://apisandbox.braspag.com.br/v2/sales/
{
"MerchantOrderId":"2017091101",
"Customer":{
"Name":"Nome do Comprador",
"Identity":"12345678909",
"IdentityType":"CPF",
"Address":{
"Street":"Alameda Xingu",
"Number":"512",
"Complement":"27 andar",
"ZipCode":"12345987",
"City":"São Paulo",
"State":"SP",
"Country":"BRA",
"District":"Alphaville"
}
},
"Payment":{
"Provider":"Simulado",
"Type":"CreditCard",
"Amount":10000,
"Installments":1,
"CreditCard":{
"CardNumber":"5412217070050381",
"Holder":"Nome do Portador",
"ExpirationDate":"12/2021",
"SecurityCode":"123",
"Brand":"Visa"
},
"RecurrentPayment":{
"AuthorizeNow":false,
"StartDate":"2017-12-31",
"EndDate":"2019-12-31",
"Interval":"Monthly"
}
}
}--request POST "https://apisandbox.braspag.com.br/v2/sales/"
--header "Content-Type: application/json"
--header "MerchantId: xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx"
--header "MerchantKey: 0123456789012345678901234567890123456789"
--header "RequestId: xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx"
--data-binary
{
"MerchantOrderId":"2017091101",
"Customer":{
"Name":"Nome do Comprador",
"Identity":"12345678909",
"IdentityType":"CPF",
"Address":{
"Street":"Alameda Xingu",
"Number":"512",
"Complement":"27 andar",
"ZipCode":"12345987",
"City":"São Paulo",
"State":"SP",
"Country":"BRA",
"District":"Alphaville"
}
},
"Payment":{
"Provider":"Simulado",
"Type":"CreditCard",
"Amount":10000,
"Installments":1,
"CreditCard":{
"CardNumber":"5412217070050381",
"Holder":"Nome do Portador",
"ExpirationDate":"12/2021",
"SecurityCode":"123",
"Brand":"Visa"
},
"RecurrentPayment":{
"AuthorizeNow":false,
"StartDate":"2017-12-31",
"EndDate":"2019-12-31",
"Interval":"Monthly"
}
}
}
--verboseBelow are the header field properties for this request:
| Property (header) | Type | Size | Required | Description |
|---|---|---|---|---|
MerchantId | Guid | 36 | Yes | Merchant identifier in Split de Pagamento |
MerchantKey | Text | 40 | Yes | Public key for Dual Authentication in Split de Pagamento |
Content-Type | Header | 40 | Yes | Application/json |
RequestId | Guid | 36 | No | Request identifier defined by the merchant, used when the merchant uses different servers for each GET/POST/PUT request. |
| Property (body) | Description | Type | Size | Required? |
|---|---|---|---|---|
Payment.Provider | Payment method provider name. | Text | 15 | Yes |
Payment.Type | Payment method type. | Text | 100 | Yes |
Payment.Amount | Order amount, in cents. | Number | 15 | Yes |
Payment.Installments | Number of installments. | Number | 2 | Yes |
Payment.RecurrentPayment.StartDate | Start date for the recurrence. | Text | 10 | No |
Payment.RecurrentPayment.EndDate | End date for the recurrence. | Text | 10 | No |
Payment.RecurrentPayment.Interval | Recurrence interval. Monthly (default) / Bimonthly / Quarterly / SemiAnnual / Annual | Text | 10 | No |
Payment.RecurrentPayment.DailyInterval | Recurrence pattern in days. Do not use together with Interval. | Number | 2 | No* |
Payment.RecurrentPayment.AuthorizeNow | "true" – authorizes at the time of the request. "false" – for future scheduling. | Boolean | *** | Yes |
CreditCard.CardNumber | Shopper's card number. | Text | 16 | Yes |
CreditCard.Holder | Shopper's name printed on the card. Note: Field size rules may vary depending on the acquirer. | Text | 25 | Yes |
CreditCard.ExpirationDate | Expiration date printed on the card, in the MM/YYYY format. | Text | 7 | Yes |
CreditCard.SecurityCode | Security code printed on the back of the card. | Text | 4 | Yes |
CreditCard.Brand | Card brand. | Text | 10 | Yes |
Response
{
[...]
"Payment": {
"ServiceTaxAmount": 0,
"Installments": 1,
"Interest": "ByMerchant",
"Capture": true,
"Authenticate": false,
"Recurrent": false,
"CreditCard": {
"CardNumber": "455187******0181",
"Holder": "Nome do Portador",
"ExpirationDate": "12/2021",
"SaveCard": false,
"Brand": "Undefined"
},
"Type": "CreditCard",
"Amount": 10000,
"Currency": "BRL",
"Country": "BRA",
"Provider": "Simulado",
"Status": 20,
"RecurrentPayment": {
"RecurrentPaymentId": "32703035-7dfb-4369-ac53-34c7ff7b84e8",
"ReasonCode": 0,
"ReasonMessage": "Successful",
"NextRecurrency": "2017-12-31",
"StartDate": "2017-12-31",
"EndDate": "2019-12-31",
"Interval": "Monthly",
[...]
"AuthorizeNow": false
}
}
}
--header "Content-Type: application/json"
--header "RequestId: xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx"
--data-binary
{
[...]
"Payment": {
"ServiceTaxAmount": 0,
"Installments": 1,
"Interest": "ByMerchant",
"Capture": true,
"Authenticate": false,
"Recurrent": false,
"CreditCard": {
"CardNumber": "455187******0181",
"Holder": "Nome do Portador",
"ExpirationDate": "12/2021",
"SaveCard": false,
"Brand": "Undefined"
},
"Type": "CreditCard",
"Amount": 10000,
"Currency": "BRL",
"Country": "BRA",
"Provider": "Simulado",
"Status": 20,
"RecurrentPayment": {
"RecurrentPaymentId": "32703035-7dfb-4369-ac53-34c7ff7b84e8",
"ReasonCode": 0,
"ReasonMessage": "Successful",
"NextRecurrency": "2017-12-31",
"StartDate": "2017-12-31",
"EndDate": "2019-12-31",
"Interval": "Monthly",
[...]
"AuthorizeNow": false
}
}
}| Property | Description | Type | Size | Format |
|---|---|---|---|---|
RecurrentPaymentId | Identifier field for the next recurrence. | GUID | 36 | xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx |
NextRecurrency | Date of the next recurrence. | Text | 7 | 05/2019 (MM/YYYY) |
StartDate | Start date of the recurrence. | Text | 7 | 05/2019 (MM/YYYY) |
EndDate | End date of the recurrence. | Text | 7 | 05/2019 (MM/YYYY) |
Interval | Interval between recurrences. | Text | 10 | Monthly / Bimonthly / Quarterly / SemiAnnual / Annual |
AuthorizeNow | Defines whether the first recurrence will be authorized immediately. | Boolean | *** | true or false |